Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.polygonize
Class Polygonizer

    java.lang.Object
      com.vividsolutions.jts.operation.polygonize.Polygonizer

    public class Polygonizer

extends java.lang.Object

Polygonizes a set of `Geometry`s which contain linework that represents the edges of a planar graph. All types of Geometry are accepted as input; the constituent linework is extracted as the edges to be polygonized. The processed edges must be correctly noded; that is, they must only meet at their endpoints. The Polygonizer will run on incorrectly noded input but will not form polygons from non-noded edges, and will report them as errors.

The Polygonizer reports the follow kinds of errors:

- Dangles - edges which have one or both ends which are not incident on another edge endpoint
- Cut Edges - edges which are connected at both ends but which do not form part of polygon
- Invalid Ring Lines - edges which form rings which are invalid (e.g. the component lines contain a self-intersection)

Version:
  1.7

Field Summary
`protected java.util.List` | `cutEdges`
`protected java.util.Collection` | `dangles`
`protected com.vividsolutions.jts.operation.polygonize.PolygonizeGraph` | `graph`
`protected java.util.List` | `holeList`
`protected java.util.List` | `invalidRingLines`
`protected java.util.List` | `polyList`
`protected java.util.List` | `shellList`

Constructor Summary
`Polygonizer()` Create a polygonizer with the same `GeometryFactory` as the input `Geometry`s

Method Summary
`void` | `add(java.util.Collection geomList)` Adds a collection of geometries to the edges to be polygonized.
`void` | `add(Geometry g)` Add a `Geometry` to the edges to be polygonized.
`java.util.Collection` | `getCutEdges()` Gets the list of cut edges found during polygonization.
`java.util.Collection` | `getDangles()` Gets the list of dangling lines found during polygonization.
`java.util.Collection` | `getInvalidRingLines()` Gets the list of lines forming invalid rings found during polygonization.
`java.util.Collection` | `getPolygons()` Gets the list of polygons formed by the polygonization.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graph

    protected com.vividsolutions.jts.operation.polygonize.PolygonizeGraph graph

### dangles

    protected java.util.Collection dangles

### cutEdges

    protected java.util.List cutEdges

### invalidRingLines

    protected java.util.List invalidRingLines

### holeList

    protected java.util.List holeList

### shellList

    protected java.util.List shellList

### polyList

    protected java.util.List polyList

Constructor Detail

### Polygonizer

    public Polygonizer()

  Create a polygonizer with the same `GeometryFactory` as the input `Geometry`s

Method Detail

### add

    public void add(java.util.Collection geomList)

  Adds a collection of geometries to the edges to be polygonized. May be called multiple times. Any dimension of Geometry may be added; the constituent linework will be extracted and used.

  Parameters:
    `geomList` - a list of `Geometry`s with linework to be polygonized

### add

    public void add(Geometry g)

  Add a `Geometry` to the edges to be polygonized. May be called multiple times. Any dimension of Geometry may be added; the constituent linework will be extracted and used

  Parameters:
    `g` - a `Geometry` with linework to be polygonized

### getPolygons

    public java.util.Collection getPolygons()

  Gets the list of polygons formed by the polygonization.

  Returns:
    a collection of `Polygon`s

### getDangles

    public java.util.Collection getDangles()

  Gets the list of dangling lines found during polygonization.

  Returns:
    a collection of the input `LineString`s which are dangles

### getCutEdges

    public java.util.Collection getCutEdges()

  Gets the list of cut edges found during polygonization.

  Returns:
    a collection of the input `LineString`s which are cut edges

### getInvalidRingLines

    public java.util.Collection getInvalidRingLines()

  Gets the list of lines forming invalid rings found during polygonization.

  Returns:
    a collection of the input `LineString`s which form invalid rings

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD